出入金数据
用户提现记录
(openId, userId, mobileNumber, email) 四选一必填
POST
/
platformapi
/
chainup
/
open
/
user
/
withdrawRecord
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/user/withdrawRecord
{
"code": "",
"msg": "",
"message": null,
"data": [
{
"symbol": "BTC",
"id": 1112,
"uid": 2302221,
"createdAt": 100892232313,
"addressTo": "xxxxxxxxx",
"amount": "20",
"txid": "xxxxxxxxxx",
"status": 1,
"statusDesc": "test",
"fee": "20",
"mobileNumber": "19982112",
"email": "xxxx@.com",
"warningLevel": 1,
"warningLevelDesc": "test",
"warningTip": "resr",
"warningTiplevel": 1
"ipAddress":"1.1.1.1.11."
},
{
"symbol": "BTC",
"id": 1112,
"uid": 2302221,
"createdAt": 100892232313,
"addressTo": "xxxxxxxxx",
"amount": "20",
"txid": "xxxxxxxxxx",
"status": 1,
"statusDesc": "test",
"fee": "20",
"mobileNumber": "19982112",
"email": "xxxx@.com",
"warningLevel": 1,
"warningLevelDesc": "test",
"warningTip": "resr",
"warningTiplevel": 1
"ipAddress":"1.1.1.1.11."
}
]
}
Query Parameters
appKey
string
required商家唯一appKey
Example: xxx_xxx
openId
string
收款用户的唯一id,开放平台授权给应用的用户唯一标识
userId
string
收款用户uid(与openid必须存在一个) ||同时存在优先取openid
mobileNumber
string
手机号码
Example: 09011223
email
string
用户邮箱
Example: xxxxx@xxx.com
pageSize
string
每页数量(默认,20,最大1000,可以等于1000)
Example: 20
pageNumber
string
页数(默认1,第一页)
Example: 1
sign
string
required签名
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
Response
200 - application/json
code
string
返回code
Example: 0
msg
string
成功或失败提示信息
Example: Success
message
string
成功或失败提示信息
Example: null
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/user/withdrawRecord
{
"code": "",
"msg": "",
"message": null,
"data": [
{
"symbol": "BTC",
"id": 1112,
"uid": 2302221,
"createdAt": 100892232313,
"addressTo": "xxxxxxxxx",
"amount": "20",
"txid": "xxxxxxxxxx",
"status": 1,
"statusDesc": "test",
"fee": "20",
"mobileNumber": "19982112",
"email": "xxxx@.com",
"warningLevel": 1,
"warningLevelDesc": "test",
"warningTip": "resr",
"warningTiplevel": 1
"ipAddress":"1.1.1.1.11."
},
{
"symbol": "BTC",
"id": 1112,
"uid": 2302221,
"createdAt": 100892232313,
"addressTo": "xxxxxxxxx",
"amount": "20",
"txid": "xxxxxxxxxx",
"status": 1,
"statusDesc": "test",
"fee": "20",
"mobileNumber": "19982112",
"email": "xxxx@.com",
"warningLevel": 1,
"warningLevelDesc": "test",
"warningTip": "resr",
"warningTiplevel": 1
"ipAddress":"1.1.1.1.11."
}
]
}